package com.chinaitop.depot.intelligent.IntelligentDetection.mapper;

import com.chinaitop.depot.intelligent.IntelligentDetection.model.TTimingTask;
import com.chinaitop.depot.intelligent.IntelligentDetection.model.TTimingTaskExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TTimingTaskMapper {
    int countByExample(TTimingTaskExample example);

    int deleteByExample(TTimingTaskExample example);

    int deleteByPrimaryKey(String tId);

    int insert(TTimingTask record);

    int insertSelective(TTimingTask record);

    List<TTimingTask> selectByExample(TTimingTaskExample example);

    TTimingTask selectByPrimaryKey(String tId);

    int updateByExampleSelective(@Param("record") TTimingTask record, @Param("example") TTimingTaskExample example);

    int updateByExample(@Param("record") TTimingTask record, @Param("example") TTimingTaskExample example);

    int updateByPrimaryKeySelective(TTimingTask record);

    int updateByPrimaryKey(TTimingTask record);

    List<TTimingTask> selectStartData();
}